--- title: "Get operating system monitoring result" slug: "analytics-clouddatastreamingservice-monitoring-getosmonitoring" updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-clouddatastreamingservice-monitoring-getosmonitoring" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get operating system monitoring result Available in VPC Get operating system monitoring data for a Cloud Data Streaming Service cluster broker node server. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/monitoring/getOsMonitoringData/{serviceGroupInstanceNo} (Korea Region) | | POST | /api/sgn-v1/monitoring/getOsMonitoringData/{serviceGroupInstanceNo} (Singapore Region) | | POST | /api/jpn-v1/monitoring/getOsMonitoringData/{serviceGroupInstanceNo} (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceGroupInstanceNo` | Integer | Required | Cluster instance number - See [Get cluster list](/docs/en/analytics-clouddatastreamingservice-cluster-getclusterinfolist). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `timeStart` | Long | Required | Query start date and time (millisecond) - Unix timestamp format | | `timeEnd` | Long | Required | Query end date and time (millisecond) - Unix timestamp format | | `metric` | String | Required | Metric type - `OS_ALL_METRICS`: OS monitoring metric (valid value) | | `computeInstanceNo` | String | Required | Node server instance number - See [Get node list](/docs/en/analytics-clouddatastreamingservice-cluster-getclusternodelist). | | `interval` | String | Optional | Aggregation interval - `Min1` (default) \| `Min5` \| `Min30` \| `Hour2` \| `Day1` - `Min1`: 1 minute (up to 1 day) - `Min5`: 5 minutes (up to 1 week) - `Min30`: 30 minutes (up to 1 month) - `Hour2`: 2 hours (up to 3 months) - `Day1`: 1 day (up to 1 year) | ### Request example The request example is as follows: ``` curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/monitoring/getOsMonitoringData/1009*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "timeStart": "1745280000000", "timeEnd": "1745409600000", "metric": "OS_ALL_METRICS", "computeInstanceNo": "1009*****", "interval": "Hour2" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.data` | Array | - | Monitoring data: [data](/docs/en/analytics-clouddatastreamingservice-monitoring-getosmonitoring#data) | | `requestId` | String | - | ID for the request - UUID format | #### `data` The following describes `data`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `dps` | Array | - | Query result - Display in the data point (Unix timestamp format) and data value format | | `aggregation` | String | - | Aggregation function | | `dimensions` | Object | - | Dimension information | | `dimensions.instanceNo` | String | - | Node server instance number | | `interval` | String | - | Aggregation interval - `Min1` \| `Min5` \| `Min30` \| `Hour2` \| `Day1` - `Min1`: 1 minute (up to 1 day) - `Min5`: 5 minutes (up to 1 week) - `Min30`: 30 minutes (up to 1 month) - `Hour2`: 2 hours (up to 3 months) - `Day1`: 1 day (up to 1 year) | | `metric` | String | - | Metric name | | `graphName` | String | - | Graph name | | `productName` | String | - | Product name | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "data": [ { "dps": [ [ 1745283600000, 0.07082558 ], [ 1745290800000, 0.06998591 ], ... ], "aggregation": "AVG", "dimensions": { "instanceNo": "1009*****" }, "interval": "Hour2", "metric": "wait i/o", "graphName": "CPU Usage(%)", "productName": "Cloud Data Streaming Service(VPC)" }, { "dps": [ [ 1745283600000, 1.0979123 ], [ 1745290800000, 1.0971684 ], ... ], "aggregation": "AVG", "dimensions": { "instanceNo": "1009*****" }, "interval": "Hour2", "metric": "user", "graphName": "CPU Usage(%)", "productName": "Cloud Data Streaming Service(VPC)" }, ... ] }, "requestId": "bf9041b5-****-****-****-20d77d5b08d7" } ```